commit:     5086f6cfff769b93d8d88e846b50b62e51733d6a
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 15 03:51:36 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jul 15 03:51:36 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5086f6cf

dev-python/cfn-lint: Bump to 1.38.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/cfn-lint/Manifest               |  1 +
 dev-python/cfn-lint/cfn-lint-1.38.0.ebuild | 61 ++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index 75f4f5e9e323..6cbbc20ead8a 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -1,3 +1,4 @@
 DIST cfn_lint-1.36.1.tar.gz 3108363 BLAKE2B 
21d99e2ccd5edc69cc7c1995f5667e9997764c0d7be6a2662ef3b8f42bf72d633153a0cef5493d25b16eed2e87da1bdad1536b97b9193e4c26a1e44c15790827
 SHA512 
49adc1844768b9ae70599c02653cfc2b454edf08def22c3d6aa5728f0ebf7b4cc1729f729ab3022a1028f44b54df1e14a626dad684143306766930f398a744a2
 DIST cfn_lint-1.37.0.tar.gz 3089485 BLAKE2B 
38e855b82064738895e0f056867bbd7e81ffa20b955d5276de0a50f80befbc52a4337280b7ab39288d31497fa03f68485e484e966c775b750530f7116408cb55
 SHA512 
05346d7c72c5fae61b5f79b3fc1c0c83b04ce083e534c59ada65bc44258e0e5f72874e09009c52f940c908b7172da34c5bb93b62c366b0aa10ef6bb547aa1c04
 DIST cfn_lint-1.37.2.tar.gz 3105967 BLAKE2B 
afa47f8c3669b32a6471e6bd438b68407f87f76c1473d848b8bc70474616418505ffcb69f7a35124fc2c5c1b2a5135d2d9ed51f2227b36e753d7a481fbc5b362
 SHA512 
e5a24a4cc506c287af3229ca86bee6ece335b8b80c7083f9b8c52a79d09c441043b176464e84051d05e135d2e47b11b307531a9ab0b24de98545e9e276697f64
+DIST cfn_lint-1.38.0.tar.gz 3131464 BLAKE2B 
d843617918f16882927c31a92d24cb67b7701787f0398dae7fb0432df7db811946a78144641e60e3b09b049ec04493860841fce415d2ce2be977ae4a6760e2a7
 SHA512 
a38773533b6d2e8c9df39e2195b6d91a621c2b9e6da1dec5c221ef6d4f52d5f3f52232699395c4d54f00152b23daa22ac2dd44515cb888d1b86b88686f0f9c34

diff --git a/dev-python/cfn-lint/cfn-lint-1.38.0.ebuild 
b/dev-python/cfn-lint/cfn-lint-1.38.0.ebuild
new file mode 100644
index 000000000000..762e8c817cde
--- /dev/null
+++ b/dev-python/cfn-lint/cfn-lint-1.38.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="
+       https://github.com/aws-cloudformation/cfn-lint/
+       https://pypi.org/project/cfn-lint/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+       >=dev-python/aws-sam-translator-1.97.0[${PYTHON_USEDEP}]
+       dev-python/jsonpatch[${PYTHON_USEDEP}]
+       >=dev-python/jschema-to-python-1.2.3[${PYTHON_USEDEP}]
+       <dev-python/jsonschema-5[${PYTHON_USEDEP}]
+       >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+       dev-python/junit-xml[${PYTHON_USEDEP}]
+       <dev-python/networkx-4[${PYTHON_USEDEP}]
+       >dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+       >=dev-python/regex-2021.7.1[${PYTHON_USEDEP}]
+       >=dev-python/sarif-om-1.0.4[${PYTHON_USEDEP}]
+       >=dev-python/sympy-1.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       >=dev-python/setuptools-77.0.3[${PYTHON_USEDEP}]
+       test? (
+               dev-python/defusedxml[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_prepare() {
+       # unpin the deps
+       sed -e 's:~=[0-9.]*::' -i pyproject.toml || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # different line wrapping somehow
+               
test/unit/module/template/test_template.py::TestTemplate::test_build_graph
+               # requires git repo
+               
test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
+       )
+
+       # from tox.ini
+       local -x AWS_DEFAULT_REGION=us-east-1
+       epytest
+}

Reply via email to